## django-allauth 0.44.0+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-allauth.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-allauth.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-allauth"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-allauth"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-allauth 0.34.0

=== debian/changelog ===
django-allauth (0.34.0-2~bpo9+1) stretch-backports; urgency=medium

  [ Pierre-Elliott Bécue ]
  * First build for stretch-backports.

  [ Jonas Meurer ]
  * d/python-django-allauth-doc.lintian-overrides: Add back lintian
    overrides for erroneous Facebook privacy breach warnings. The false
    positives were fixed in lintian (#884296) in the meantime, but that
    version is not in Debian Stretch yet.

 -- Jonas Meurer <jonas@freesources.org>  Tue, 23 Jan 2018 14:57:40 +0100

django-allauth (0.34.0-2) unstable; urgency=medium

  [ Laura Arjona Reina ]
  * d/patches:
    - Add 0002-Fixes-wrongly-encoded-characters-in-some-.po-files.patch
      (Closes: #881727)

  [ Pierre-Elliott Bécue ]
  * d/rules:
    - Add a call to django-admin compilemessages in order to update the
     .mo files relative to the .po files in 0002.

  [ Jonas Meurer ]
  * Remove d/python-django-allauth-doc.lintian-overrides: Remove lintian
    overrides for erroneous Facebook privacy breach warnings. The false
    positives were fixed in lintian (#884296) in the meantime.
  * d/control: Bump standards-version to 4.1.3, no changes required.

 -- Jonas Meurer <jonas@freesources.org>  Fri, 05 Jan 2018 16:47:22 +0100

django-allauth (0.34.0-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release
  * d/control:
    - Add myself to uploaders with mejo's approval
    - Bump Standards-Version to 4.1.2
    - Remove Test-Suite, as d/tests/control exists.
  * d/rules:
    - Add install changelogs rules
  * d/copyright:
    - Add myself in debian/*
  * d/watch:
    - Relies on pypi.debian.net instead of github's tarballs
    - Use uscan magic tags to simplify the query url
  * d/patches:
    - Add 0001-Remove-all-privacy-breack-links-from-documentation.patch:
      This patch cleans the README.rst file from its links to outside
      websites, as they're just some pretty badges telling that the c-i passes
      or things like that, and then, useless into debian and triggering a
      privacy breach.
  * d/python{,3}-django-allauth.lintian-overrides:
    - Add overrides for privacy-breach-generic regarding the persona
      authentication, as it's the package's purpose to allow such connection
      via a connector.
  * python-django-allauth-doc: move doc files into
    /usr/share/doc/python-django-allauth instead of
    /usr/share/doc/python-django-allauth-doc.

  [ Jonas Meurer ]
  * d/rules: Fix depends on sphinxdoc packages.
  * d/control: Fix field 'Testsuite'.
  * d/*.lintian-overrides: Add/update comments for lintian overrides.
  * d/gbp.conf: Add gbp.conf setting pristine-tar = True.

 -- Jonas Meurer <mejo@debian.org>  Wed, 13 Dec 2017 13:02:50 +0100

django-allauth (0.33.0-1) unstable; urgency=medium

  * Initial release. (closes: #875857)
  * Add lintian-overrides for privacy-breach-facebook errors. The package
    includes a connector to the facebook social authentication, which
    (unfortunately) talks to Facebooks servers on purpose.

 -- Jonas Meurer <mejo@debian.org>  Fri, 15 Sep 2017 12:23:12 +0200

=== debian/control ===
Source: django-allauth
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonas Meurer <mejo@debian.org>,
           Pierre-Elliott Bécue <becue@crans.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-django,
               python-mock,
               python-requests,
               python-setuptools,
               python3-all,
               python3-django,
               python3-requests,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-allauth.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-allauth.git
Homepage: https://github.com/pennersr/django-allauth
X-Python-Version: >=2.7
X-Python3-Version: >=3.4

Package: python-django-allauth
Architecture: all
Depends: python-django,
         python-openid,
         python-requests,
         python-requests-oauthlib,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-allauth-doc
Description: Django app for local and social authentication (Python 2 version)
 Integrated set of Django applications addressing authentication,
 registration, account management as well as 3rd party (social)
 account authentication with the following supported providers:
 .
  * Amazon (OAuth2)
  * AngelList (OAuth2)
  * Bitly (OAuth2)
  * Dropbox (OAuth)
  * Facebook (both OAuth2 and JS SDK)
  * Feedly (OAuth2)
  * Github (OAuth2)
  * Google (OAuth2)
  * Instagram (OAuth2)
  * LinkedIn (OAuth, OAuth2)
  * OpenId
  * Paypal (OAuth2)
  * Persona
  * SoundCloud (OAuth2)
  * Stack Exchange (OAuth2)
  * Twitch (OAuth2)
  * Twitter (OAuth)
  * Vimeo (OAuth)
  * VK (OAuth2)
  * Weibo (OAuth2)
 .
 This package contains the Python 2 version of the library.

Package: python3-django-allauth
Architecture: all
Depends: python3-django,
         python3-openid,
         python3-requests,
         python-requests-oauthlib,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-allauth-doc
Description: Django app for local and social authentication (Python 3 version)
 Integrated set of Django applications addressing authentication,
 registration, account management as well as 3rd party (social)
 account authentication with the following supported providers:
 .
  * Amazon (OAuth2)
  * AngelList (OAuth2)
  * Bitly (OAuth2)
  * Dropbox (OAuth)
  * Facebook (both OAuth2 and JS SDK)
  * Feedly (OAuth2)
  * Github (OAuth2)
  * Google (OAuth2)
  * Instagram (OAuth2)
  * LinkedIn (OAuth, OAuth2)
  * OpenId
  * Paypal (OAuth2)
  * Persona
  * SoundCloud (OAuth2)
  * Stack Exchange (OAuth2)
  * Twitch (OAuth2)
  * Twitter (OAuth)
  * Vimeo (OAuth)
  * VK (OAuth2)
  * Weibo (OAuth2)
 .
 This package contains the Python 3 version of the library.

Package: python-django-allauth-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Django app for local and social authentication (Documentation)
 Integrated set of Django applications addressing authentication,
 registration, account management as well as 3rd party (social)
 account authentication with the following supported providers:
 .
  * Amazon (OAuth2)
  * AngelList (OAuth2)
  * Bitly (OAuth2)
  * Dropbox (OAuth)
  * Facebook (both OAuth2 and JS SDK)
  * Feedly (OAuth2)
  * Github (OAuth2)
  * Google (OAuth2)
  * Instagram (OAuth2)
  * LinkedIn (OAuth, OAuth2)
  * OpenId
  * Paypal (OAuth2)
  * Persona
  * SoundCloud (OAuth2)
  * Stack Exchange (OAuth2)
  * Twitch (OAuth2)
  * Twitter (OAuth)
  * Vimeo (OAuth)
  * VK (OAuth2)
  * Weibo (OAuth2)
 .
 This package contains the documentation.

## django-allauth 0.35.0

=== debian/changelog ===
django-allauth (0.35.0-1) unstable; urgency=medium

  * New upstream release 0.35.0
  * Change d/copyright years

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 06 Feb 2018 10:31:36 +0100

django-allauth (0.34.0-3) unstable; urgency=medium

  * d/control:
    - Fix a typo on the dependencies of the python3 package
    - debhelper version dependency to 11
    - Set the -doc package to Multi-Arch: foreign
  * Raise dh compat to 11
  * Uses an https link for copyright format
  * Drop git-dpm

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 06 Feb 2018 00:45:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Pierre-Elliott Bécue <becue@crans.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-django,
@@ -65,7 +65,7 @@
 Depends: python3-django,
          python3-openid,
          python3-requests,
-         python-requests-oauthlib,
+         python3-requests-oauthlib,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-django-allauth-doc
@@ -100,6 +100,7 @@
 Package: python-django-allauth-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: Django app for local and social authentication (Documentation)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-allauth

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

#override_dh_install:
#	dh_install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.rst

override_dh_auto_build:
	cd allauth && django-admin compilemessages
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r) $(shell py3versions -r); do \
		PYTHONPATH="." DJANGO_SETTINGS_MODULE=test_settings $$python $(shell which django-admin) test allauth.tests;\
	done
endif

get-orig-source:
	uscan --verbose --rename

=== debian/tests/control ===
Test-Command: set -e; for py in $(pyversions -r 2>/dev/null); do cd "$ADTTMP"; echo "Testing with $py:"; $py -c "import allauth; print(allauth)"; done
Depends: python-all, python-django-allauth

Test-Command: set -e; for py in $(py3versions -r 2>/dev/null); do cd "$ADTTMP"; echo "Testing with $py:"; $py -c "import allauth; print(allauth)"; done
Depends: python3-all, python3-django-allauth

## django-allauth 0.36.0+ds

=== debian/changelog ===
django-allauth (0.36.0+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Pierre-Elliott Bécue ]
  * New upstream release: 0.36.0+ds
    DS rebuild as the .mo files provided in allauth/locale/*/LC_MESSAGES are
    not supposed to be there.
  * d/control:
    - Add explicit dependency on django 1.11 as current stable version is
      1.10, which is no longer supported by django-allauth.
    - Drop the X-Python{,3}-Version fields as Python 2 (resp. 3) version in all
      supported releases of Debian is newer than the one mentioned in these
      fields.
    - Bump Standards-Version to 4.1.4.
  * d/rules:
    - Drop the get-orig-source rule as it went out from the policy, and only
      calls uscan.
    - Drop the dh_installchangelogs rule as ChangeLog.rst enters into dh's
      regexp.
    - Remove a useless comment
  * d/clean:
    - The .build directory of the documentation isn't removed in all build
      secnario. (eg: build outside of chroots)
  * d/watch:
    - Add dversionmangle option
    - Add repacksuffix option
  * d/copyright:
    - Add a Files-Excluded statement so uscan does the next DS tarball by
      itself
  * d/source/options:
    - Ignore changes on the egg-info directory

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 15 May 2018 13:53:49 +0200

django-allauth (0.35.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Pierre-Elliott Bécue ]
  * Update lintian overrides.

 -- Pierre-Elliott Bécue <becue@crans.org>  Sun, 11 Mar 2018 15:31:40 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
-               python-django,
+               python-django (>= 1:1.11~),
                python-mock,
                python-requests,
                python-setuptools,
@@ -16,16 +16,14 @@
                python3-requests,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-allauth.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-allauth.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/python-team/modules/django-allauth
+Vcs-Git: https://salsa.debian.org/python-team/modules/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth
-X-Python-Version: >=2.7
-X-Python3-Version: >=3.4
 
 Package: python-django-allauth
 Architecture: all
-Depends: python-django,
+Depends: python-django (>= 1:1.11~),
          python-openid,
          python-requests,
          python-requests-oauthlib,
@@ -50,8 +48,10 @@
   * OpenId
   * Paypal (OAuth2)
   * Persona
+  * QuickBooks
   * SoundCloud (OAuth2)
   * Stack Exchange (OAuth2)
+  * Telegram
   * Twitch (OAuth2)
   * Twitter (OAuth)
   * Vimeo (OAuth)
@@ -62,7 +62,7 @@
 
 Package: python3-django-allauth
 Architecture: all
-Depends: python3-django,
+Depends: python3-django (>= 1:1.11~),
          python3-openid,
          python3-requests,
          python3-requests-oauthlib,
@@ -87,8 +87,10 @@
   * OpenId
   * Paypal (OAuth2)
   * Persona
+  * QuickBooks
   * SoundCloud (OAuth2)
   * Stack Exchange (OAuth2)
+  * Telegram
   * Twitch (OAuth2)
   * Twitter (OAuth)
   * Vimeo (OAuth)
@@ -121,8 +123,10 @@
   * OpenId
   * Paypal (OAuth2)
   * Persona
+  * QuickBooks
   * SoundCloud (OAuth2)
   * Stack Exchange (OAuth2)
+  * Telegram
   * Twitch (OAuth2)
   * Twitter (OAuth)
   * Vimeo (OAuth)

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,6 @@
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
-
-#override_dh_install:
-#	dh_install
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog.rst
 
 override_dh_auto_build:
 	cd allauth && django-admin compilemessages
@@ -23,6 +17,3 @@
 		PYTHONPATH="." DJANGO_SETTINGS_MODULE=test_settings $$python $(shell which django-admin) test allauth.tests;\
 	done
 endif
-
-get-orig-source:
-	uscan --verbose --rename

## django-allauth 0.38.0+ds

=== debian/changelog ===
django-allauth (0.38.0+ds-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 0.38.0+ds
  * d/control:
    - Replace my Crans address by my Debian address
    - Bump Standards-Version to 4.2.1. No change required

  [ Ondřej Nový ]
  * d/rules: Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 26 Oct 2018 23:27:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: django-allauth
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jonas Meurer <mejo@debian.org>,
-           Pierre-Elliott Bécue <becue@crans.org>
+           Pierre-Elliott Bécue <peb@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 11),
@@ -16,7 +16,7 @@
                python3-requests,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-allauth
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_build:
 	cd allauth && django-admin compilemessages
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
 
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: set -e; for py in $(pyversions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -c "import allauth; print(allauth)"; done
Depends: python-all, python-django-allauth

Test-Command: set -e; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -c "import allauth; print(allauth)"; done
Depends: python3-all, python3-django-allauth

## django-allauth 0.39.1+ds

=== debian/changelog ===
django-allauth (0.39.1+ds-1) unstable; urgency=medium

  * New upstream release 0.39.1

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 02 Aug 2019 19:13:13 +0200

django-allauth (0.38.0+ds-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload
  * Bump Standards-Version to 4.4.0
  * Removed Python 2 support, as Django 2.2 doesn't support it anymore.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Mon, 22 Jul 2019 01:50:13 +0000

=== debian/control ===
--- 
+++ 
@@ -4,61 +4,17 @@
            Pierre-Elliott Bécue <peb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
-               python-all,
-               python-django (>= 1:1.11~),
-               python-mock,
-               python-requests,
-               python-setuptools,
                python3-all,
                python3-django,
                python3-requests,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-allauth
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth
-
-Package: python-django-allauth
-Architecture: all
-Depends: python-django (>= 1:1.11~),
-         python-openid,
-         python-requests,
-         python-requests-oauthlib,
-         ${misc:Depends},
-         ${python:Depends}
-Suggests: python-django-allauth-doc
-Description: Django app for local and social authentication (Python 2 version)
- Integrated set of Django applications addressing authentication,
- registration, account management as well as 3rd party (social)
- account authentication with the following supported providers:
- .
-  * Amazon (OAuth2)
-  * AngelList (OAuth2)
-  * Bitly (OAuth2)
-  * Dropbox (OAuth)
-  * Facebook (both OAuth2 and JS SDK)
-  * Feedly (OAuth2)
-  * Github (OAuth2)
-  * Google (OAuth2)
-  * Instagram (OAuth2)
-  * LinkedIn (OAuth, OAuth2)
-  * OpenId
-  * Paypal (OAuth2)
-  * Persona
-  * QuickBooks
-  * SoundCloud (OAuth2)
-  * Stack Exchange (OAuth2)
-  * Telegram
-  * Twitch (OAuth2)
-  * Twitter (OAuth)
-  * Vimeo (OAuth)
-  * VK (OAuth2)
-  * Weibo (OAuth2)
- .
- This package contains the Python 2 version of the library.
 
 Package: python3-django-allauth
 Architecture: all

=== debian/tests/control ===
Test-Command: set -e; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -c "import allauth; print(allauth)"; done
Depends: python3-all, python3-django-allauth

## django-allauth 0.41.0%2Bds

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+ds$//,repacksuffix=+ds \
https://pypi.debian.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## django-allauth 0.41.0+ds

=== debian/changelog ===
django-allauth (0.41.0+ds-1) unstable; urgency=medium

  * New upstream release 0.41.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 25 Dec 2019 18:52:33 +0100

django-allauth (0.40.0+ds-2) unstable; urgency=medium

  * Rebuild as a source-only changes.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 27 Oct 2019 13:23:54 +0100

django-allauth (0.40.0+ds-1) unstable; urgency=medium

  * New upstream release 0.40.0
  * d/control:
    - Bump debhelper-compat level to 12
    - Bump Standards-Version to 4.4.1
    - Set Rules-Requires-Root to no
  * d/tests:
    - Implement upstream tests

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 26 Oct 2019 11:54:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
            Pierre-Elliott Bécue <peb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-django,
                python3-requests,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-allauth
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth

## django-allauth 0.42.0+ds

=== debian/changelog ===
django-allauth (0.42.0+ds-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 0.42.0
  * Bump debhelper-compat level to 13
  * Add the Repository entries to d/uptream/metadata

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 26 May 2020 10:20:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Pierre-Elliott Bécue <peb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-django,
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-sphinx
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-allauth
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth

## django-allauth 0.44.0%2Bds

=== debian/tests/control ===
Tests: python3-tests
Depends: python3-all, python3-django-allauth
Restrictions: allow-stderr

## django-allauth 0.44.0+ds

=== debian/changelog ===
django-allauth (0.44.0+ds-1+deb11u1) bullseye; urgency=medium

  * Import from 0.47.0-1 the patch to fix OpenID failures.
    (Closes: #1003069)
  * Disable forwarding for two patches

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 22 Jan 2022 13:55:10 +0100

django-allauth (0.44.0+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Pierre-Elliott Bécue ]
  * New upstream release 0.44.0
  * Bump Standards-Version to 4.5.1

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 18 Jan 2021 02:25:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: django-allauth
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jonas Meurer <mejo@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Section: python
@@ -7,19 +7,23 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-django,
+               python3-cryptography,
+               python3-django (>= 1:2.0~),
+               python3-jwt,
                python3-requests,
+               python3-requests-oauthlib,
                python3-setuptools,
                python3-sphinx
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-allauth
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-allauth.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-allauth
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth
 
 Package: python3-django-allauth
 Architecture: all
-Depends: python3-django (>= 1:1.11~),
+Depends: python3-cryptography,
+         python3-django (>= 1:2.0~),
          python3-openid,
          python3-requests,
          python3-requests-oauthlib,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-allauth

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	cd allauth && django-admin compilemessages
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell py3versions -r); do \
		PYTHONPATH="." DJANGO_SETTINGS_MODULE=test_settings $$python $(shell which django-admin) test allauth.tests;\
	done
endif

## django-allauth 0.47.0

=== Makefile ===
VIRTUALENV = $(shell pwd)/venv.tmp
PYTHON = $(VIRTUALENV)/bin/python
ISORT = isort $$(find $(PWD)/allauth -not -path '*/migrations/*' -type f -name '*.py' -not -name '__init__.py' -print)

po:
	( cd allauth ; $(PYTHON) ../manage.py makemessages -a -e html,txt,py )

mo:
	( cd allauth ; $(PYTHON) ../manage.py compilemessages )

isort-fix:
	$(ISORT)

.PHONY:						\
	po					\
	mo					\
	isort-fix

=== debian/changelog ===
django-allauth (0.47.0-1) unstable; urgency=medium

  * New upstream release 0.47.0
  * Rely on github releases for the upstream tarball.
    This allows us to drop the DS repacks
  * Add the example dir to the documentation of the package
  * Drop old python-django-allauth.lintian-overrides file
  * Update lintian overrides
  * Add Forwarded: not-needed to d/p/0001
  * d/p/0003: Temporary patch to fix openid failures to work

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 20 Jan 2022 00:27:57 +0100

django-allauth (0.46.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.46.0+ds
  * Refresh patches
  * Bump Standards-Version to 4.6.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 29 Nov 2021 16:46:55 -0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-setuptools,
                python3-sphinx
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-allauth
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/
https://github.com/pennersr/@PACKAGE@/tags/ (?:.*/)?(\d[\d\.]+).tar.gz

## django-allauth 0.51.0

=== debian/changelog ===
django-allauth (0.51.0-1) unstable; urgency=medium

  * New upstream release 0.51.0
  * Update debian/copyright
  * d/control:
    - Drop version for django dependency
    - Bump Standards-Version to 4.6.1
  * debian/watch: More selective release URL
  * Update lintian-overrides
  * Fix py3versions call in the autopkgtests script
  * d/p/0002: Mark as Forwarded: not-needed.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 15 Oct 2022 11:25:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                dh-python,
                python3-all,
                python3-cryptography,
-               python3-django (>= 1:2.0~),
+               python3-django,
                python3-jwt,
                python3-requests,
                python3-requests-oauthlib,
                python3-setuptools,
                python3-sphinx
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-allauth
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth
@@ -23,7 +23,7 @@
 Package: python3-django-allauth
 Architecture: all
 Depends: python3-cryptography,
-         python3-django (>= 1:2.0~),
+         python3-django,
          python3-openid,
          python3-requests,
          python3-requests-oauthlib,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/
https://github.com/pennersr/@PACKAGE@/tags \
    /pennersr/@PACKAGE@/archive/refs/tags/@ANY_VERSION@\.tar\.gz

## django-allauth 0.58.2

=== Makefile ===
PYTHON = python
ISORT = isort $$(find $(PWD)/allauth -not -path '*/migrations/*' -type f -name '*.py' -not -name '__init__.py' -print)


.PHONY: usage
usage:
	@echo 'Usage: make [target]'
	@echo ''
	@echo 'Targets:'
	@echo '  black         Auto format Python code'
	@echo '  isort         Fix isort issues'
	@echo '  po            (Re)generate .po files'
	@echo '  mo            Compile .po into .mo'
	@echo '  qa            Perform QA checks'
	@echo '  test          Execute test suite'

.PHONY: po
po:
	( cd allauth ; $(PYTHON) ../manage.py makemessages -a -e html,txt,py )

.PHONY: mo
mo:
	( cd allauth ; $(PYTHON) ../manage.py compilemessages )

.PHONY: isort
isort:
	$(ISORT)

.PHONY: black
black:
	black allauth/ setup.py

.PHONY: test
test:
	pytest allauth/

.PHONY: qa
qa:
	flake8 allauth
	isort --check-only --skip-glob '*/migrations/*' --diff allauth
	black --check allauth setup.py
	djlint --check allauth example

=== docs/requirements.txt ===
Django==4.2.6
sphinx_rtd_theme==1.3.0

=== debian/changelog ===
django-allauth (0.58.2-2) unstable; urgency=medium

  * New upstream release 0.58.2
    + Update {Build-,}Dependencies
  * Bump Standards-Version to 4.6.2
  * Updated copyright
  * Updated overrides (one is failing when specialized so ignoring it for all
    doc)
  * d/tests/control:
    - Updated deps and test protocol

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 13 Nov 2023 11:40:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,23 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-cryptography,
                python3-django,
                python3-jwt,
+               python3-openid,
+               python3-pillow,
+               python3-pytest,
+               python3-pytest-django,
+               python3-qrcode,
                python3-requests,
                python3-requests-oauthlib,
                python3-setuptools,
-               python3-sphinx
+               python3-sphinx,
+               python3-sphinx-rtd-theme
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-allauth
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth
@@ -25,6 +32,7 @@
 Depends: python3-cryptography,
          python3-django,
          python3-openid,
+         python3-qrcode,
          python3-requests,
          python3-requests-oauthlib,
          ${misc:Depends},

=== debian/tests/control ===
Tests: python3-tests
Depends: python3-all,
         @,
         python3-pillow,
         python3-pytest-django
Restrictions: allow-stderr

## django-allauth 65.0.2

=== Makefile ===
PYTHON = python

.PHONY: usage
usage:
	@echo 'Usage: make [target]'

.PHONY: po
po:
	( cd allauth ; $(PYTHON) ../manage.py makemessages -a -e html,txt,py )

.PHONY: mo
mo:
	( cd allauth ; $(PYTHON) ../manage.py compilemessages )

.PHONY: isort
isort:
	isort --check-only --diff .

.PHONY: black
black:
	black --check .

.PHONY: test
test:
	pytest allauth/


.PHONY: djlint
djlint:
	djlint --check allauth examples

.PHONY: flake8
flake8:
	flake8 allauth

.PHONY: qa
qa: validate-api-spec mypy djlint black isort flake8

.PHONY: mypy
mypy:
	mypy allauth/

.PHONY: validate-api-spec
validate-api-spec:
	swagger-cli validate docs/headless/openapi-specification/openapi.yaml

.PHONY: ci
ci:
	woodpecker-cli exec .woodpecker.yaml


.PHONY: standardjs
standardjs:
	find ./allauth -name '*.js' | xargs ./node_modules/.bin/standard --ignore allauth/mfa/static/mfa/js/webauthn-json.js


.PHONY: docs
docs:
	$(MAKE) -C docs html


.PHONY: ci-install-black
ci-install-black:
	pip install black==24.4.0

.PHONY: ci-install-mo
ci-install-mo:
	apt-get update
	apt-get install -y --no-install-recommends gettext
	pip install .[mfa,socialaccount,openid,saml]

.PHONY: ci-install-standardjs
ci-install-standardjs:
	npm install standard --no-lockfile --no-progress --non-interactive --silent

.PHONY: ci-install-djlint
ci-install-djlint:
	pip install djlint==1.34.1

.PHONY: ci-install-docs
ci-install-docs:
	pip install Django Sphinx sphinx_rtd_theme

.PHONY: ci-install-flake8
ci-install-flake8:
	pip install flake8==7.1.1

.PHONY: ci-install-isort
ci-install-isort:
	pip install isort==5.13.2

.PHONY: ci-install-mypy
ci-install-mypy:
	pip install .[mfa,socialaccount,openid,saml]
	pip install				\
	  'django-stubs==5.0.2'			\
	  'mypy==1.10.0'			\
	  'pytest>=7.4'				\
	  'pytest-asyncio == 0.23.8'		\
	  'pytest-django>=4.5.2'		\
	  'types-requests==2.32.0.20240602'	\
	  'python3-saml>=1.15.0,<2.0.0'

=== docs/requirements.txt ===
Django==4.2.7
sphinx_rtd_theme==1.3.0

=== examples/react-spa/Makefile ===
.PHONY: runserver
runserver:
	docker-compose exec backend sh -c  'python manage.py migrate && python manage.py runserver 0.0.0.0:8000'

.PHONY: shell
shell:
	docker-compose exec backend sh -c  'python manage.py shell'

=== examples/regular-django/Makefile ===
ifeq ($(wildcard /code),)
PYTHON=PYTHONPATH=$$PYTHONPATH:../.. python3
else
PYTHON=python3
endif

MANAGE_PY=$(PYTHON) manage.py

.PHONY:
migrate:
	$(MANAGE_PY) migrate

.PHONY:
runserver:
	$(MANAGE_PY) runserver 0.0.0.0:8000

=== examples/regular-django/requirements.txt ===
django-allauth[mfa,saml,socialaccount,steam]>=65.0.2

=== examples/react-spa/backend/requirements.txt ===
django-allauth[mfa,socialaccount]>=65.0.2
qrcode >= 7.0.0

=== debian/changelog ===
django-allauth (65.0.2-1) unstable; urgency=medium

  * New upstream release 65.0.2
  * d/p/0003: Fix testing settings relying on MFA_PASSKEY_SIGNUP_ENABLED

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 20 Oct 2024 15:36:10 +0200

django-allauth (64.1.0-1) unstable; urgency=medium

  * New upstream release 64.1.0
    - Closes: #1077505
    - Version scheme changed upstream
    - Adapted dependencies and tests
  * Bump Standards-Version to 4.7.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 21 Aug 2024 15:48:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,13 @@
                python3-all,
                python3-cryptography,
                python3-django,
+               python3-fido2,
                python3-jwt,
+               python3-onelogin-saml2,
                python3-openid,
                python3-pillow,
                python3-pytest,
+               python3-pytest-asyncio,
                python3-pytest-django,
                python3-qrcode,
                python3-requests,
@@ -22,7 +25,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-allauth
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-allauth.git
 Homepage: https://github.com/pennersr/django-allauth
@@ -31,6 +34,9 @@
 Architecture: all
 Depends: python3-cryptography,
          python3-django,
+         python3-fido2,
+         python3-jwt,
+         python3-onelogin-saml2,
          python3-openid,
          python3-qrcode,
          python3-requests,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_install:
+	dh_install
+	rm -f debian/python-django-allauth-doc/usr/share/doc/python-django-allauth/examples/regular-django/db/.gitignore
 
 override_dh_auto_build:
 	cd allauth && django-admin compilemessages
@@ -14,6 +18,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
 	for python in $(shell py3versions -r); do \
-		PYTHONPATH="." DJANGO_SETTINGS_MODULE=test_settings $$python $(shell which django-admin) test allauth.tests;\
+		PYTHONPATH="." DJANGO_SETTINGS_MODULE=tests.regular.settings $$python $(shell which django-admin) test allauth.tests;\
 	done
 endif

=== debian/tests/control ===
Tests: python3-tests
Depends: python3-all,
         @,
         python3-pillow,
         python3-pytest-asyncio,
         python3-pytest-django
Restrictions: allow-stderr
